<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gapp__disc__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gapp_disc_param_t</compoundname>
    <includes local="no">cy_ble_stack_gap_peripheral.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gapp__disc__param__t_1aea6283200c04a4c7abe67647acce905e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapp_disc_param_t::advIntvMin</definition>
        <argsstring />
        <name>advIntvMin</name>
        <briefdescription>
<para>Minimum advertising interval for undirected and low duty cycle directed advertising Range: 0x0020 to 0x4000 Unit: 0.625ms Time Range: 20 ms to 10.24 sec. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="94" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="94" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapp__disc__param__t_1a54f945c86c8beec925be7e70d0fc4d48" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapp_disc_param_t::advIntvMax</definition>
        <argsstring />
        <name>advIntvMax</name>
        <briefdescription>
<para>Maximum advertising interval for undirected and low duty cycle directed advertising. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0x0020 to 0x4000 Unit: 0.625ms Time Range: 20 ms to 10.24 sec. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="102" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapp__disc__param__t_1a794277c8a609b33fe9983c3dd1a72d83" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga7c910750c22e1a6fe20b0f7a712c0215">cy_en_ble_gapp_adv_t</ref></type>
        <definition>cy_en_ble_gapp_adv_t cy_stc_ble_gapp_disc_param_t::advType</definition>
        <argsstring />
        <name>advType</name>
        <briefdescription>
<para>Type of advertisement. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Connectable undirected advertising (0x00)</para></listitem><listitem><para>Connectable high duty cycle directed advertising (0x01)</para></listitem><listitem><para>Scannable undirected advertising (0x02)</para></listitem><listitem><para>Non connectable undirected advertising (0x03)</para></listitem><listitem><para>Connectable low duty cycle directed advertising (0x04) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="111" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapp__disc__param__t_1a765ec5c8ac1b9393cd25a43b2426ba3d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapp_disc_param_t::ownAddrType</definition>
        <argsstring />
        <name>ownAddrType</name>
        <briefdescription>
<para>Own BD Address Type. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC_RPA</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM_RPA </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="119" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapp__disc__param__t_1a329566ba0ab7029aec18bc5def6032bd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapp_disc_param_t::directAddrType</definition>
        <argsstring />
        <name>directAddrType</name>
        <briefdescription>
<para>Address type of the Bluetooth device address being used for directed advertising, not applicable otherwise. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC (Public device address)</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM (Random device address) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="126" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapp__disc__param__t_1ae303c0886e9b4364a9f6ffd3dc9d5fdf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapp_disc_param_t::directAddr[CY_BLE_GAP_BD_ADDR_SIZE]</definition>
        <argsstring>[CY_BLE_GAP_BD_ADDR_SIZE]</argsstring>
        <name>directAddr</name>
        <briefdescription>
<para>This parameter specifies Bluetooth device address of the device to be connected while using directed advertising. </para>        </briefdescription>
        <detaileddescription>
<para>In case of none direct advertising, parameter will be 0 </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="132" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="132" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapp__disc__param__t_1ad4b1fac47aada955422624fbd099fe57" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapp_disc_param_t::advChannelMap</definition>
        <argsstring />
        <name>advChannelMap</name>
        <briefdescription>
<para>Advertising channels that shall be used when transmitting advertising packets. </para>        </briefdescription>
        <detaileddescription>
<para>Channel map selection:<itemizedlist>
<listitem><para>Enable channel 37 = bitmask. xxxxxxx1b</para></listitem><listitem><para>Enable channel 38 = bitmask. xxxxxx1xb</para></listitem><listitem><para>Enable channel 39 = bitmask. xxxxx1xxb </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="140" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="140" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapp__disc__param__t_1ae9d4bec71fa4792eb18b78a0ff82e52f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapp_disc_param_t::advFilterPolicy</definition>
        <argsstring />
        <name>advFilterPolicy</name>
        <briefdescription>
<para>Advertising Filter Policy. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAPP_SCAN_ANY_CONN_ANY (Allow Scan Request from Any, Allow Connect Request from Any (Default))</para></listitem><listitem><para>CY_BLE_GAPP_SCAN_WHITELIST_CONN_ANY (Allow Scan Request from White List Only, Allow Connect Request)</para></listitem><listitem><para>CY_BLE_GAPP_SCAN_ANY_CONN_WHITELIST (Allow Scan Request from Any, Allow Connect Request from White List Only)</para></listitem><listitem><para>CY_BLE_GAPP_SCAN_CONN_WHITELIST_ONLY (Allow Scan Request from White List Only, Allow Connect Request from White List Only) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="152" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="152" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Advertising parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="154" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="87" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__param__t_1ad4b1fac47aada955422624fbd099fe57" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_param_t</scope><name>advChannelMap</name></member>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__param__t_1ae9d4bec71fa4792eb18b78a0ff82e52f" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_param_t</scope><name>advFilterPolicy</name></member>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__param__t_1a54f945c86c8beec925be7e70d0fc4d48" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_param_t</scope><name>advIntvMax</name></member>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__param__t_1aea6283200c04a4c7abe67647acce905e" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_param_t</scope><name>advIntvMin</name></member>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__param__t_1a794277c8a609b33fe9983c3dd1a72d83" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_param_t</scope><name>advType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__param__t_1ae303c0886e9b4364a9f6ffd3dc9d5fdf" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_param_t</scope><name>directAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__param__t_1a329566ba0ab7029aec18bc5def6032bd" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_param_t</scope><name>directAddrType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__param__t_1a765ec5c8ac1b9393cd25a43b2426ba3d" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_param_t</scope><name>ownAddrType</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>